<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
"http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.kde.kdedglobalaccel.Component">
    <property name="friendlyName" type="s" access="read"/>
    <property name="uniqueName" type="s" access="read"/>
    <method name="shortcutNames">
      <arg type="as" direction="out"/>
      <arg name="context" type="s" direction="in"/>
    </method>
    <method name="shortcutNames">
      <arg type="as" direction="out"/>
    </method>
    <method name="allShortcutInfos">
      <arg type="a(ssssssaiai)" direction="out"/>
      <annotation name="com.trolltech.QtDBus.QtTypeName.Out0" value="QList&lt;KGlobalShortcutInfo&gt;"/>
      <arg name="context" type="s" direction="in"/>
    </method>
    <method name="allShortcutInfos">
      <arg type="a(ssssssaiai)" direction="out"/>
      <annotation name="com.trolltech.QtDBus.QtTypeName.Out0" value="QList&lt;KGlobalShortcutInfo&gt;"/>
    </method>
    <method name="getShortcutContexts">
      <arg type="as" direction="out"/>
    </method>
  </interface>
  <interface name="org.freedesktop.DBus.Properties">
    <method name="Get">
      <arg name="interface_name" type="s" direction="in"/>
      <arg name="property_name" type="s" direction="in"/>
      <arg name="value" type="v" direction="out"/>
    </method>
    <method name="Set">
      <arg name="interface_name" type="s" direction="in"/>
      <arg name="property_name" type="s" direction="in"/>
      <arg name="value" type="v" direction="in"/>
    </method>
  </interface>
  <interface name="org.freedesktop.DBus.Introspectable">
    <method name="Introspect">
      <arg name="xml_data" type="s" direction="out"/>
    </method>
  </interface>
</node>

